This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 433087 - scheduler does not set the printer operation policy on startup, only on soft reload
scheduler does not set the printer operation policy on startup, only on soft ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tim Waugh
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 21:30 EST by Andrew Ryan
Modified: 2010-10-22 18:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:58:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch backported to cups-1.2.4 (1.30 KB, patch)
2008-02-15 21:30 EST, David Robinson
no flags Details | Diff

  None (edit)
Description David Robinson 2008-02-15 21:30:35 EST
Description of problem:
When restarting the cups service or using the web interface
(http://locahhost:631) the default policies gets applied even though a custom
policy has been defined for the printer.

Version-Release number of selected component (if applicable):
cups-1.2.4-11.14.3
RHEL 5.1

How reproducible:
100%

Steps to reproduce:
1. stop the cups service (command: service cups stop)
2. create a new policy in /etc/cups/cupsd.conf
3. start the cups service (command: service cups start)
3. apply the policy to the printer (command: lpadmin -p <printer_name> -o
printer-op-policy=<policy_name>)
4. restart the cups service (command: service cups restart)
5. test policy

Actual results:
- default policy is applied

Excepted results:
- custom policy is applied

Workaround:
- after restarting the cups service use the 'lpadmin' command to reapply the policy

Additional info:
This is upstream bug STR #2319, which is fixed in CUPS version 1.2.11.

http://www.cups.org/str.php?L2319

Patch is attached.
Comment 1 David Robinson 2008-02-15 21:30:36 EST
Created attachment 295060 [details]
patch backported to cups-1.2.4
Comment 3 Phil Knirsch 2008-04-30 11:49:17 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 4 RHEL Product and Program Management 2008-06-02 16:18:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 errata-xmlrpc 2009-01-20 16:58:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0201.html

Note You need to log in before you can comment on or make changes to this bug.